Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5116)
@@ -97,5 +97,5 @@
 !$OMP THREADPRIVATE(R_r, R_s)
   REAL           :: pr, ps, ice, water
-  real :: conserv
+  REAL :: conserv
 
 !!!!!!!!!!!!!!!!!!!! choix lessivage !!!!!!!!!!!!!!!!!!!!!!!!
@@ -108,5 +108,5 @@
 !  inscav_fisrt=.TRUE.
 !  CALL getin('inscav_fisrt',inscav_fisrt)
-!  if(inscav_fisrt) then 
+!  IF(inscav_fisrt) THEN
 !   PRINT*,'beta from fisrtilp.F90, beta = (z_cond - z_oliq)/z_cond, inscav_fisrt=',inscav_fisrt
 !  else
@@ -211,6 +211,6 @@
     DO i=1, klon 
 !  incloud scavenging
-!   if(inscav_fisrt) then 
-   if (iflag_lscav == 4) then
+!   IF(inscav_fisrt) THEN
+   if (iflag_lscav == 4) THEN
       beta=beta_fisrt(i,k)*rneb(i,k)
    else
@@ -228,5 +228,5 @@
 
 !  below-cloud impaction
-    IF(it==id_prec) then
+    IF(it==id_prec) THEN
       d_tr_bcscav(i,k,it)=0.
     ELSE
@@ -245,5 +245,5 @@
       deltaP(i,k)=max(deltaP(i,k),0.)
 
-      if(flxr(i,k+1)+flxs(i,k+1)>1.e-16) then
+      IF(flxr(i,k+1)+flxs(i,k+1)>1.e-16) THEN
        beta_ev(i,k)=deltaP(i,k)/(flxr(i,k+1)+flxs(i,k+1))
       else
@@ -255,5 +255,5 @@
 !jyg
       
-      if(abs(1-(1-frac_ev)*beta_ev(i,k))>1.e-16) then
+      IF(abs(1-(1-frac_ev)*beta_ev(i,k))>1.e-16) THEN
 ! remove tracers from precipitation owing to release by evaporation in his_dh
 !      dxev=frac_ev*beta_ev(i,k)*his_dh(i) *pdtime/(zrho(i,k)*zdz(i,k)) &
@@ -293,5 +293,5 @@
 !                +d_tr_bcscav(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG  &
 !                +d_tr_evap(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG
-!      if(it.eq.3) write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
+!      IF(it.eq.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
 !      k,'lsc conserv ',conserv,'insc',d_tr_insc(i,k,it),'bc',d_tr_bcscav(i,k,it),'ev',d_tr_evap(i,k,it)
 !       ENDDO
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5116)
@@ -3,15 +3,14 @@
   USE dimphy
   USE infotrac
+  USE lmdz_libmath, ONLY: ismax, ismin
   INCLUDE "dimensions.h"
 
   ! character*20 comment
-  character(len = *) :: comment
-  real :: qmin, qmax
-  real :: zq(klon, klev)
+  CHARACTER(LEN = *) :: comment
+  REAL :: qmin, qmax
+  REAL :: zq(klon, klev)
 
-  integer :: ijmin, lmin, ijlmin
-  integer :: ijmax, lmax, ijlmax
-
-  integer :: ismin, ismax
+  INTEGER :: ijmin, lmin, ijlmin
+  INTEGER :: ijmax, lmax, ijlmax
 
   ijlmin = ismin(klon * klev, zq, 1)
@@ -25,9 +24,9 @@
   zqmax = zq(ijmax, lmax)
 
-  if(zqmin<qmin.or.zqmax>qmax) &
-          write(*, 9999) comment, &
+  IF(zqmin<qmin.or.zqmax>qmax) &
+          WRITE(*, 9999) comment, &
                   ijmin, lmin, zqmin, ijmax, lmax, zqmax
 
-  return
+  RETURN
   9999   format(a20, 2('  q(', i4, ',', i2, ')=', e12.5))
-end subroutine minmaxqfi2
+END SUBROUTINE minmaxqfi2
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5116)
@@ -3,16 +3,15 @@
   USE dimphy
   USE infotrac
+  USE lmdz_libmath, ONLY: ismax, ismin
 
   INCLUDE "dimensions.h"
 
   ! character*20 comment
-  character(len = *) :: comment
-  real :: qmin, qmax
-  real :: zq(klon, nbtr)
+  CHARACTER(LEN = *) :: comment
+  REAL :: qmin, qmax
+  REAL :: zq(klon, nbtr)
 
-  integer :: ijmin, lmin, ijlmin
-  integer :: ijmax, lmax, ijlmax
-
-  integer :: ismin, ismax
+  INTEGER :: ijmin, lmin, ijlmin
+  INTEGER :: ijmax, lmax, ijlmax
 
   ijlmin = ismin(klon * nbtr, zq, 1)
@@ -26,9 +25,9 @@
   zqmax = zq(ijmax, lmax)
 
-  if(zqmin<qmin.or.zqmax>qmax) &
-          write(*, 9999) comment, &
+  IF(zqmin<qmin.or.zqmax>qmax) &
+          WRITE(*, 9999) comment, &
                   ijmin, lmin, zqmin, ijmax, lmax, zqmax
 
-  return
+  RETURN
   9999   format(a20, 2('  q(', i4, ',', i2, ')=', e12.5))
-end subroutine minmaxsource
+END SUBROUTINE minmaxsource
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5116)
@@ -30,13 +30,13 @@
   INCLUDE "dimensions.h"
   !
-  real :: u10_mps(klon), ustar_mps(klon), obklen_m(klon)
-  real :: u10n_mps(klon)
-  real :: pi, von_karman
+  REAL :: u10_mps(klon), ustar_mps(klon), obklen_m(klon)
+  REAL :: u10n_mps(klon)
+  REAL :: pi, von_karman
   ! parameter (pi = 3.141592653589793, von_karman = 0.4)
   ! pour etre coherent avec vk de bl_for_dms.F
   parameter (pi = 3.141592653589793, von_karman = 0.35)
   !
-  real :: phi, phi_inv, phi_inv_sq, f1, f2, f3, dum1, psi
-  integer :: i
+  REAL :: phi, phi_inv, phi_inv_sq, f1, f2, f3, dum1, psi
+  INTEGER :: i
 
   psi = 0.
@@ -45,5 +45,5 @@
     if (u10_mps(i) < 0.) u10_mps(i) = 0.0
 
-    if  (obklen_m(i) < 0.) then
+    if  (obklen_m(i) < 0.) THEN
       phi = (1. - 160. / obklen_m(i))**(-0.25)
       phi_inv = 1. / phi
@@ -55,5 +55,5 @@
       f3 = atan(dum1)
       psi = 2. * log(f1) + log(f2) - 2. * f3 + pi / 2.
-    else if (obklen_m(i) > 0.) then
+    else if (obklen_m(i) > 0.) THEN
       psi = -50. / obklen_m(i)
     end if
@@ -61,5 +61,5 @@
     u10n_mps(i) = u10_mps(i) + (ustar_mps(i) * psi / von_karman)
     ! u10n set to 0. if -1 < obklen < 20
-    if ((obklen_m(i)>-1.).and.(obklen_m(i)<20.)) then
+    if ((obklen_m(i)>-1.).and.(obklen_m(i)<20.)) THEN
       u10n_mps(i) = 0.
     endif
@@ -68,4 +68,4 @@
   enddo
 
-end subroutine neutral
+END SUBROUTINE neutral
 !***********************************************************************
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5116)
@@ -466,5 +466,5 @@
          IF (vars_defined) THEN
             IF (prt_level >= 10) THEN
-               write(lunout,*)"phys_output_write: CALL xios_update_calendar, itau_w=",itau_w
+               WRITE(lunout,*)"phys_output_write: CALL xios_update_calendar, itau_w=",itau_w
             ENDIF
 !           CALL xios_update_calendar(itau_w)
